<section class="cat_product_area section_gap">
  <div class="container">
    <div class="row flex-row-reverse">

      <div class="col-lg-12">

        <div class="right_page ml-auto">

          <nav class="cat_page" aria-label="Page navigation example">

            <pagination-controls class="pag" (pageChange)="p = $event" style="padding-right: 3em;"></pagination-controls>
          </nav>
        </div>

        <h2 >Popular</h2>
          <p style="display: inline-block;
  padding-left: 2em">SHOP</p>
        <div class="latest_product_inner row col-md-12">

          <div class="col-lg-3 col-md-3 col-sm-6"
               *ngFor="let pr of Produits | paginate: { itemsPerPage: 8, currentPage: p }">
            <div class="f_p_item">
              <div class="f_p_img">
                <img class="img-fluid" src="https://app-4a240999-9341-4962-8060-96.herokuapp.com/produit/getPhoto/{{pr.image}}" alt="">
              </div>
              <a routerLink="/detailProduit/{{pr.id}}">
                <h4>{{pr.NomProduit}}</h4>
              </a>
              <p class="nom" >{{pr.Nom}}</p>
              <br>
              <br>
              <h5>{{pr.prix}}</h5>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
